Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# OS.cpp File Reference

`#include "ace/OS.h"`
`#include "ace/Sched_Params.h"`
`#include "ace/OS_Thread_Adapter.h"`
`#include "ace/OS_QoS.h"`
`#include "ace/OS.i"`

Include dependency graph for OS.cpp:

## Compounds
class | ACE_Cleanup_Info_Node
class | ACE_OS_Object_Manager_Manager
class | ACE_TSS_Cleanup
## Defines
#define | ACE_OS_GUARD
#define | ACE_TSS_CLEANUP_GUARD
#define | ACE_TSS_BASE_GUARD
#define | ACE_THREAD_FUNCTION thread_args->entry_point ()
#define | ACE_THREAD_ARGUMENT thread_args
#define | ACE_OS_PREALLOCATE_OBJECT(TYPE, ID)
#define | ACE_OS_DELETE_PREALLOCATED_OBJECT(TYPE, ID)
## Functions
const char * | get_rcsid_ace_OS (const char *)
void | ACE_TSS_Cleanup_keys_destroyer (void *tss_keys)
void | ace_cleanup_destroyer (ACE_Cleanup *object, void *param)
void | ace_mutex_lock_cleanup_adapter (void *args)
void | ACE_OS_Object_Manager_Internal_Exit_Hook (void)
## Variables
const char * | rcsid_ace_OS = get_rcsid_ace_OS ( rcsid_ace_OS )
int | ace_exit_hook_marker = 0
ACE_OS_Object_Manager_Manager | ACE_OS_Object_Manager_Manager_instance

## Define Documentation

#define ACE_OS_DELETE_PREALLOCATED_OBJECT | ( | TYPE,
|  | ID |  | ) |

| Value:
    delete (TYPE *) preallocated_object[ID];\
        preallocated_object[ID] = 0;

#define ACE_OS_GUARD

#define ACE_OS_PREALLOCATE_OBJECT | ( | TYPE,
|  | ID |  | ) |

| Value:
    {\
          TYPE *obj_p = 0;\
          ACE_NEW_RETURN (obj_p, TYPE, -1);\
          preallocated_object[ID] = (void *) obj_p;\
        }

#define ACE_THREAD_ARGUMENT thread_args

#define ACE_THREAD_FUNCTION thread_args->entry_point ()

#define ACE_TSS_BASE_GUARD

#define ACE_TSS_CLEANUP_GUARD

## Function Documentation

void ace_cleanup_destroyer | ( | ACE_Cleanup * | object,
|  | void * | param = 0
| ) |

void ace_mutex_lock_cleanup_adapter | ( | void * | args | ) |

void ACE_OS_Object_Manager_Internal_Exit_Hook | ( | void |  | ) |

void ACE_TSS_Cleanup_keys_destroyer | ( | void * | tss_keys | ) |

const char* get_rcsid_ace_OS | ( | const char * |  | ) | `[inline]`

## Variable Documentation

int ace_exit_hook_marker = 0

ACE_OS_Object_Manager_Manager ACE_OS_Object_Manager_Manager_instance`[static]`

const char* rcsid_ace_OS = get_rcsid_ace_OS ( rcsid_ace_OS )`[static]`